Bug 1174606 (CVE-2014-8117) - CVE-2014-8117 file: denial of service issue (resource consumption)
Summary: CVE-2014-8117 file: denial of service issue (resource consumption)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8117
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141216,repor...
Depends On: 1174608 1238984 1284826
Blocks: 1171586 1210268 1278736
TreeView+ depends on / blocked
 
Reported: 2014-12-16 04:41 UTC by Murray McAllister
Modified: 2019-06-08 20:19 UTC (History)
11 users (show)

Fixed In Version: file 5.21
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the File Information (fileinfo) extension parsed Executable and Linkable Format (ELF) files. A remote attacker could use this flaw to cause a PHP application using fileinfo to consume an excessive amount of system resources.
Clone Of:
Environment:
Last Closed: 2016-05-11 06:49:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC
Red Hat Product Errata RHSA-2016:0760 normal SHIPPED_LIVE Moderate: file security, bug fix, and enhancement update 2016-05-10 22:32:51 UTC

Description Murray McAllister 2014-12-16 04:41:25 UTC
Thomas Jarosch of Intra2net AG reported a denial of service issue (resource consumption) in the ELF parser used by file(1). Using file(1) on a specially-crafted ELF binary could lead to a denial of service (resource consumption).

Upstream fix:

https://github.com/file/file/commit/6f737ddfadb596d7d4a993f7ed2141ffd664a81c

Due to some regressions found when testing, the following commits are also required:

https://github.com/file/file/commit/8a905717660395b38ec4966493f6f1cf2f33946c
https://github.com/file/file/commit/90018fe22ff8b74a22fcd142225b0a00f3f12677
https://github.com/file/file/commit/6bf45271eb8e0e6577b92042ce2003ba998d1686

Refer also to bug 1171580 (CVE-2014-8116).

Acknowledgements:

Name: Thomas Jarosch (Intra2net AG)

Comment 2 Murray McAllister 2014-12-16 05:10:17 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1174608]

Comment 4 Fedora Update System 2015-02-18 05:55:28 UTC
file-5.22-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2015-11-19 08:09:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html

Comment 8 errata-xmlrpc 2016-05-10 19:47:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0760 https://rhn.redhat.com/errata/RHSA-2016-0760.html


Note You need to log in before you can comment on or make changes to this bug.